V4L2 munmap()
&manvol;

# v4l2-munmap

Unmap device memory

    #include <unistd.h>
    #include <sys/mman.h>

    	int munmap
    	void *start
    	size_t length

## Arguments

`start`

  Address of the mapped buffer as returned by the &func-mmap; function.

`length`

  Length of the mapped buffer. This must be the same value as given to `mmap()` and returned by the driver in the &v4l2-buffer; length field for the single-planar API and in the &v4l2-plane; length field for the multi-planar API.

## Description

Unmaps a previously with the &func-mmap; function mapped buffer and frees it, if possible.

## Return Value

On success `munmap()` returns 0, on failure -1 and the `errno` variable is set appropriately:

EINVAL

  The `start` or `length` is incorrect, or no buffers have been mapped yet.